Skip to main content

Snapshot Vm

POST /v1/vms/{vm_id}/snapshot

Authentication

Requires authentication via: OAuth2PasswordBearer.

Parameters

NameInTypeRequiredDescriptionConstraints
vm_idpathstringYes
waitquerybooleanNoWait for snapshot creation to finishdefault=true
X-API-Keyheaderstring | nullNonullable

Request Body

Required: Yes

application/json

Resolved schema:

{
"properties": {
"name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Name"
}
},
"type": "object",
"title": "VMSnapshotRequest"
}

Field details:

FieldTypeRequiredDescriptionConstraints
namestring | nullNonullable

Responses

200

Successful Response

application/json

Resolved schema:

{
"properties": {
"snapshot_id": {
"type": "string",
"title": "Snapshot Id"
},
"status": {
"type": "string",
"title": "Status"
}
},
"type": "object",
"required": [
"snapshot_id",
"status"
],
"title": "VMSnapshotResponse"
}

Field details:

FieldTypeRequiredDescriptionConstraints
snapshot_idstringYes
statusstringYes

422

Validation Error

application/json

Resolved schema:

{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}

Field details:

FieldTypeRequiredDescriptionConstraints
detailarray<object>No
detail[]objectNo
detail[].locarray<string | integer>No
detail[].loc[]string | integerNo
detail[].msgstringNo
detail[].typestringNo